# Blob

Blob utilities for WordPress.

## Installation

Install the module

```bash
npm install @wordpress/blob --save
```

## API

<!-- START TOKEN(Autogenerated API docs) -->

### createBlobURL

[src/index.js#L15-L21](src/index.js#L15-L21)

Create a blob URL from a file.

**Parameters**

-   **file** `File`: The file to create a blob URL for.

**Returns**

`string`: The blob URL.

### getBlobByURL

[src/index.js#L32-L34](src/index.js#L32-L34)

Retrieve a file based on a blob URL. The file must have been created by
`createBlobURL` and not removed by `revokeBlobURL`, otherwise it will return
`undefined`.

**Parameters**

-   **url** `string`: The blob URL.

**Returns**

`?File`: The file for the blob URL.

### isBlobURL

[src/index.js#L56-L61](src/index.js#L56-L61)

Check whether a url is a blob url.

**Parameters**

-   **url** `string`: The URL.

**Returns**

`boolean`: Is the url a blob url?

### revokeBlobURL

[src/index.js#L41-L47](src/index.js#L41-L47)

Remove the resource and file cache from memory.

**Parameters**

-   **url** `string`: The blob URL.


<!-- END TOKEN(Autogenerated API docs) -->

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
